Спецпроекты

Критическая уязвимость в Yahoo Widgets позволяет захватить ПК

Интернет Безопасность ПО Пользователю Администратору Софт
Уязвимость высокой степени критичности в Yahoo Widgets была обнаружена в конце прошлой недели. Она позволяет внедрить произвольный код в систему при посещении пользователем специально сформированной веб-страницы, сообщил Vnunet.

Уязвимость обнаружена в YDPCTL.dll версии 2007.4.13.1 Yahoo Widgets 4.0.3, сборка 178. Внедрённый код может быть выполнен при отправке длинной строки – более 512 байт - в качестве параметра функции GetComponentVersion(). Код функции не проверяет длину параметра перед копированием его в буфер фиксированного размера.

Уязвимость устранена в версии Yahoo Widgets 4.0.5. В настоящее время пакет можно загрузить вручную, а в течение нескольких недель все уязвимые версии будут автоматически предлагать обновить пакет.